LibreOffice: DateTimeRange Struct Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
DateTimeRange Struct Referencepublished

represents a range of date+time values. More...

## Public Attributes
unsigned long | StartNanoSeconds
| contains the start nanoseconds (0 - 999 999 999) for the range.
unsigned short | StartSeconds
| contains the start seconds (0-59) for the range.
unsigned short | StartMinutes
| contains the start minutes (0-59) for the range.
unsigned short | StartHours
| contains the start hour (0-23) for the range.
unsigned short | StartDay
| contains the start day of month (1-31 or 0 for a void date) for the range.
unsigned short | StartMonth
| contains the start month of year (1-12 or 0 for a void date) for the range.
short | StartYear
| contains the start year for the range.
unsigned long | EndNanoSeconds
| contains the end nanoseconds (0 - 999 999 999) for the range.
unsigned short | EndSeconds
| contains the end seconds (0-59) for the range.
unsigned short | EndMinutes
| contains the end minutes (0-59) for the range.
unsigned short | EndHours
| contains the end hour (0-23) for the range.
unsigned short | EndDay
| contains the end day of month (1-31 or 0 for a void date) for the range.
unsigned short | EndMonth
| contains the end month of year (1-12 or 0 for a void date) for the range.
short | EndYear
| contains the end year for the range.
boolean | IsUTC
| true: time zone is UTC false: unknown time zone.

## Detailed Description

represents a range of date+time values.

## Member Data Documentation

## ◆ EndDay

unsigned short EndDay

contains the end day of month (1-31 or 0 for a void date) for the range.

## ◆ EndHours

unsigned short EndHours

contains the end hour (0-23) for the range.

## ◆ EndMinutes

unsigned short EndMinutes

contains the end minutes (0-59) for the range.

## ◆ EndMonth

unsigned short EndMonth

contains the end month of year (1-12 or 0 for a void date) for the range.

## ◆ EndNanoSeconds

unsigned long EndNanoSeconds

contains the end nanoseconds (0 - 999 999 999) for the range.

## ◆ EndSeconds

unsigned short EndSeconds

contains the end seconds (0-59) for the range.

## ◆ EndYear

short EndYear

contains the end year for the range.

## ◆ IsUTC

boolean IsUTC

true: time zone is UTC false: unknown time zone.

Since
  LibreOffice 4.1

## ◆ StartDay

unsigned short StartDay

contains the start day of month (1-31 or 0 for a void date) for the range.

## ◆ StartHours

unsigned short StartHours

contains the start hour (0-23) for the range.

## ◆ StartMinutes

unsigned short StartMinutes

contains the start minutes (0-59) for the range.

## ◆ StartMonth

unsigned short StartMonth

contains the start month of year (1-12 or 0 for a void date) for the range.

## ◆ StartNanoSeconds

unsigned long StartNanoSeconds

contains the start nanoseconds (0 - 999 999 999) for the range.

## ◆ StartSeconds

unsigned short StartSeconds

contains the start seconds (0-59) for the range.

## ◆ StartYear

short StartYear

contains the start year for the range.

The documentation for this struct was generated from the following file:

- com/sun/star/util/DateTimeRange.idl